# Create Basic Node Project CLI

## Overview

Create Basic Node Project CLI is a utility that simplifies the process of setting up a new Node.js project. It automates the creation of project directories, copies essential template files, generates a package.json file interactively, and installs dependencies.

## Installation

You can install the Create Basic Node Project CLI globally using npm:

```bash
npm install -g create-basic-node-project
```

## Usage
### Global Installation:
After installing globally, you can create a new Node.js project from any directory using the following command:

```bash
npx create-basic-node-project <your project name>
```

## Common Problems Solved
* Manual Setup: Setting up a new Node.js project manually can be tedious and error-prone. This utility automates the process, saving time and effort.
* Dependency Installation: Manually installing dependencies and configuring package.json can be confusing for beginners. This utility handles dependency installation and package.json setup automatically.

## Suggestions
* We welcome any suggestions or feedback to improve this utility. If you encounter any issues or have ideas for enhancements, please open an issue on GitHub or reach out to us via email at -neeteshm4@gmail.com